Abstract interface for objects which can contain tasks (targets) Used to check if a class can contain tasks (via instanceof)

@author Andreas Aderhold andi@binarycloud.com

copyright | 2001,2002 THYRELL. All rights reserved @version $Id$ @access public @package phing

### Methods

## Adds a task to this task container.

    addTask(\Task $task)

Must be implemented by derived class

### Parameters

#### $task

`object`

The task to be added to the container @access public